<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Configurações > Banners > Cadastrar";
$pg_voltar = "banner.php";
$msg_ok = "Cadastrado com sucesso";
$msg_erro = "Erro ao cadastrar";
$nomeClasse = "banner";

##########################
# cadastrar
##########################
if(isPost($_POST['ok'])){
	$obj = new Banner();
	$nomeArquivo = $obj->upload($_FILES['arquivo']);
	if(!$nomeArquivo){
		$msg = $msg_erro;
	}
	else{
		$_POST[$nomeClasse]['arquivo'] = $nomeArquivo;
		
		if(UtilObjeto::getExtensao($nomeArquivo) == 'swf'){
			$_POST[$nomeClasse]['tipo'] = 'f';
		}
		else{
			$_POST[$nomeClasse]['tipo'] = 'i';
		}
		
		$obj->carga($_POST[$nomeClasse]);
		if($obj->inserir()){
			$msg = $msg_ok;
			$msgClass = "msgSucesso";
		}
		else{
			$msg = $msg_erro;
		}
	}
}
?>

<h1><?=$titulo?></h1>

<div class="boxAcao">
	<ul>
		<li class="border-none"><a href="<?=URLADMIN.$pg_voltar?>" title="Voltar">> Voltar</a></li>
	</ul>
</div>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo">Cadastro</div>
	<form name="form1" id="form1" action="" method="post" enctype="multipart/form-data">
		<div class="campo3">
			<label for="arquivo">Arquivo: <span>(*)</span></label>
			<input type="file" class="width-auto" size="40" id="arquivo" name="arquivo" value="" req="1" />
		</div>
		<div class="campo1">
			<label for="ordem">Ordem:</label>
			<input type="text" class="width-auto" size="5" id="ordem" name="<?=$nomeClasse?>[ordem]" value="" <?=MASCARA_NUMERO?> />
			&nbsp;<span class="dica">Somente números</span>
		</div>
		<div class="campo3 align-right">
			<span class="campo_obrigatorio">(*) Campos obrigatórios</span>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Salvar" title="Salvar" validar="1" />
		</div>
	</form>
</div>

<?php
include 'rodape.php';
?>